//
//  ContentView.swift
//  Jel
//
//  Created by zerocool on 12/11/23.
//

import SwiftUI

struct ContentView: View {
  @ObservedObject var authState: AuthStateController
  
  var body: some View {
        VStack {
          if !authState.loggedIn {
            AddServerView(authState: authState)
          } else {
            Text("Logged in")
            Button("Log out") {
              authState.loggedIn = false
              authState.save()
            }
          }
        }
        .padding()
    }
}

#Preview {
  ContentView(authState: AuthStateController())
}
