//
//  JellyfinClientController.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import Foundation
import Get
import JellyfinKit

class JellyfinClientController {
  let api: APIClient
  
  init(serverUrl: URL) {
    self.api = APIClient(
      baseURL: serverUrl
    )
  }
  
  func isJellyfinServer() async -> Bool {
    let request = Paths.getPublicUsers
    do {
      try await api.send(request)
    } catch {
      return false
    }
    return true
  }
}
