//
//  JelApp.swift
//  Jel
//
//  Created by zerocool on 12/11/23.
//

import SwiftUI

@main
struct JelApp: App {
  let datamodelController = DatamodelController.shared
  let authStateController = AuthStateController()
  var body: some Scene {
    WindowGroup {
      ContentView(authState: authStateController)
        .environment(\.managedObjectContext,
                      datamodelController.container.viewContext)
        .task {
          authStateController.load()
        }
    }
  }
}
